<%@ page language="java" contentType="text/html" %>
<%@ page import="java.util.Date" %>
<%@ taglib uri="/orataglib" prefix="ora" %>

<ora:useLocaleBundle id="locale" bundleName="poll" 
  supportedLangs="en, sv, de" />

<html>
  <head>
    <title>
      <ora:getLocalText name="locale" key="poll.title" />
    </title>
  </head>
  <body bgcolor="white">
    <jsp:useBean id="pollResult" scope="application"
         class="com.ora.jsp.beans.poll.PollBean" />

    <h1>
      <ora:getLocalText name="locale" key="poll.result" />:
      <ora:getLocalDate name="locale" date="<%= new Date() %>" />
    </h1>

    <ora:getLocalText name="locale" key="poll.question" />
    <p>
    <ora:getLocalText name="locale" key="poll.number_of_votes" />:
    <ora:getLocalNumber name="locale" 
      value="<%= pollResult.getTotal() %>" />

    <table width="70%">
      <tr>
        <td width="30%">
          <ora:getLocalText name="locale" key="poll.answer1" />:
          <ora:getLocalNumber name="locale" 
            value="<%= pollResult.getAnswer1Percent() %>" />%
          (<ora:getLocalNumber name="locale" 
            value="<%= pollResult.getAnswer1() %>" />)
        </td>
        <td>
          <table width="<%= pollResult.getAnswer1Percent() %>%" 
            bgcolor="lightgreen">
            <tr>
              <td>&nbsp;</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td width="30%">
          <ora:getLocalText name="locale" key="poll.answer2" />:
          <ora:getLocalNumber name="locale" 
            value="<%= pollResult.getAnswer2Percent() %>" />%
          (<ora:getLocalNumber name="locale" 
            value="<%= pollResult.getAnswer2() %>" />)
        </td>
        <td>
          <table width="<%= pollResult.getAnswer2Percent() %>%" 
            bgcolor="lightblue">
            <tr>
              <td>&nbsp;</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td width="30%">
          <ora:getLocalText name="locale" key="poll.answer3" />:
          <ora:getLocalNumber name="locale" 
            value="<%= pollResult.getAnswer3Percent() %>" />%
          (<ora:getLocalNumber name="locale" 
            value="<%= pollResult.getAnswer3() %>" />)
        </td>
        <td>
          <table width="<%= pollResult.getAnswer3Percent() %>%" 
            bgcolor="orange">
            <tr>
              <td>&nbsp;</td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </body>
</html>